<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerRawData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerRawData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_raw_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerRawData_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerRawData_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_raw_data_const_8h.html">eicd/TrackerRawDataConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_raw_data_obj_8h.html">eicd/TrackerRawDataObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>TrackerRawDataCollection;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>TrackerRawDataCollectionIterator;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>ConstTrackerRawData;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_raw_data.html">   25</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_raw_data_collection.html">TrackerRawDataCollection</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_raw_data_collection_iterator.html">TrackerRawDataCollectionIterator</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">TrackerRawData</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">TrackerRawData</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">cellID1</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">channelID</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">time</a>, <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">adc</a>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">TrackerRawData</a>(<a class="code" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>* obj);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">TrackerRawData</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#ab2e024493682d40f43cae0d7d0b24637">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a> <a class="code" href="classeic_1_1_tracker_raw_data.html#a31613e263d5e49d4e7afdf8a4c114afb">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data.html#a5c84d7758aa7fca9e7bca1221c64970a">~TrackerRawData</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">channelID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">int</span>&amp; <a class="code" href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">adc</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">cellID0</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">cellID1</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">channelID</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">time</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">adc</a>(<span class="keywordtype">int</span> value);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a130e7250746aa8411f6756f9052dc697">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_raw_data.html#a1f2532c84bcc6d7381030c8a58dc992c">   97</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a1f2532c84bcc6d7381030c8a58dc992c">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_raw_data.html#a40ba2561240e154b3ea5a98e53bdf8cd">   99</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a40ba2561240e154b3ea5a98e53bdf8cd">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a40ba2561240e154b3ea5a98e53bdf8cd">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_raw_data.html#a38928797b560131fa577cb57bffdb47e">  103</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a38928797b560131fa577cb57bffdb47e">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_raw_data.html">TrackerRawData</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_raw_data.html#a76ac8d7c22af8711bf65585a039ee309">  105</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a76ac8d7c22af8711bf65585a039ee309">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">getObjectID</a>().index; }</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;  <a class="code" href="classeic_1_1_tracker_raw_data_obj.html">TrackerRawDataObj</a>* m_obj;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;};</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_raw_data.html">ConstTrackerRawData</a>&amp; value);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_raw_data_html_a40ba2561240e154b3ea5a98e53bdf8cd"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a40ba2561240e154b3ea5a98e53bdf8cd">eic::TrackerRawData::operator==</a></div><div class="ttdeci">bool operator==(const TrackerRawData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00099">TrackerRawData.h:99</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a38928797b560131fa577cb57bffdb47e"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a38928797b560131fa577cb57bffdb47e">eic::TrackerRawData::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const TrackerRawData &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00103">TrackerRawData.h:103</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a130e7250746aa8411f6756f9052dc697"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a130e7250746aa8411f6756f9052dc697">eic::TrackerRawData::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00071">TrackerRawData.cc:71</a></div></div>
<div class="ttc" id="_tracker_raw_data_const_8h_html"><div class="ttname"><a href="_tracker_raw_data_const_8h.html">TrackerRawDataConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a31613e263d5e49d4e7afdf8a4c114afb"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a31613e263d5e49d4e7afdf8a4c114afb">eic::TrackerRawData::clone</a></div><div class="ttdeci">TrackerRawData clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00043">TrackerRawData.cc:43</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a40e0d3df4e5f584214a88bd37cc628c6"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a40e0d3df4e5f584214a88bd37cc628c6">eic::TrackerRawData::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00078">TrackerRawData.cc:78</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_obj.html">eic::TrackerRawDataObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_obj_8h_source.html#l00018">TrackerRawDataObj.h:18</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_acdcf9ed808bf6ec4dacdf395fafc4a5b"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#acdcf9ed808bf6ec4dacdf395fafc4a5b">eic::TrackerRawData::adc</a></div><div class="ttdeci">const int &amp; adc() const</div><div class="ttdoc">Access the measured ADC values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00056">TrackerRawData.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a0e63345795775b90dd80e1f41b786917"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a0e63345795775b90dd80e1f41b786917">eic::TrackerRawData::channelID</a></div><div class="ttdeci">const long long &amp; channelID() const</div><div class="ttdoc">Access the channel id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00054">TrackerRawData.cc:54</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a5c84d7758aa7fca9e7bca1221c64970a"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a5c84d7758aa7fca9e7bca1221c64970a">eic::TrackerRawData::~TrackerRawData</a></div><div class="ttdeci">~TrackerRawData()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00047">TrackerRawData.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a29c713a1bef3ee4e54856cd6a8ce2626"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a29c713a1bef3ee4e54856cd6a8ce2626">eic::TrackerRawData::TrackerRawData</a></div><div class="ttdeci">TrackerRawData()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00016">TrackerRawData.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a76ac8d7c22af8711bf65585a039ee309"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a76ac8d7c22af8711bf65585a039ee309">eic::TrackerRawData::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00105">TrackerRawData.h:105</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html">eic::TrackerRawData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00025">TrackerRawData.h:25</a></div></div>
<div class="ttc" id="_tracker_raw_data_obj_8h_html"><div class="ttname"><a href="_tracker_raw_data_obj_8h.html">TrackerRawDataObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a9bef28a8e6c4eea989c80d005274b1f5"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a9bef28a8e6c4eea989c80d005274b1f5">eic::TrackerRawData::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00053">TrackerRawData.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_raw_data_html"><div class="ttname"><a href="classeic_1_1_const_tracker_raw_data.html">eic::ConstTrackerRawData</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_const_8h_source.html#l00023">TrackerRawDataConst.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_ab2e024493682d40f43cae0d7d0b24637"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#ab2e024493682d40f43cae0d7d0b24637">eic::TrackerRawData::operator=</a></div><div class="ttdeci">TrackerRawData &amp; operator=(const TrackerRawData &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00033">TrackerRawData.cc:33</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_collection.html">eic::TrackerRawDataCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_collection_8h_source.html#l00050">TrackerRawDataCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a1f2532c84bcc6d7381030c8a58dc992c"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a1f2532c84bcc6d7381030c8a58dc992c">eic::TrackerRawData::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerRawDataObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8h_source.html#l00097">TrackerRawData.h:97</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_raw_data_collection_iterator.html">eic::TrackerRawDataCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_collection_8h_source.html#l00029">TrackerRawDataCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_ad873d04d87edaf3a27b1e4afd16710ea"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#ad873d04d87edaf3a27b1e4afd16710ea">eic::TrackerRawData::time</a></div><div class="ttdeci">const int &amp; time() const</div><div class="ttdoc">Access the time measurement associated with the adc values. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00055">TrackerRawData.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_raw_data_html_a8ea0c08412ba1747cc8357575697ae12"><div class="ttname"><a href="classeic_1_1_tracker_raw_data.html#a8ea0c08412ba1747cc8357575697ae12">eic::TrackerRawData::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_raw_data_8cc_source.html#l00052">TrackerRawData.cc:52</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
